%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  debest
%global packver   0.1.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.1.0
Release:          1%{?dist}%{?buildtag}
Summary:          Duration Estimation for Biomarker Enrichment Studies and Trials

License:          GPL-2
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.5.0
Requires:         R-core >= 3.5.0
BuildArch:        noarch
BuildRequires:    R-stats 
BuildRequires:    R-CRAN-survival 
BuildRequires:    R-CRAN-flexsurv 
Requires:         R-stats 
Requires:         R-CRAN-survival 
Requires:         R-CRAN-flexsurv 

%description
A general framework using mixture Weibull distributions to accurately
predict biomarker-guided trial duration accounting for heterogeneous
population. Extensive simulations are performed to evaluate the impact of
heterogeneous population and the dynamics of biomarker characteristics and
disease on the study duration. Several influential parameters including
median survival time, enrollment rate, biomarker prevalence and effect
size are identified. Efficiency gains of biomarker-guided trials can be
quantitatively compared to the traditional all-comers design. For
reference, see Zhang et al. (2024) <arXiv:2401.00540>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
